## org.biojava.bio.symbol
Interface CodonPrefFilter

All Known Implementing Classes:
  CodonPrefFilter.AcceptAll, CodonPrefFilter.ByName, CodonPrefFilter.EverythingToXML

    public interface CodonPrefFilter

Nested Class Summary
`static class` `CodonPrefFilter.AcceptAll`
`static class` `CodonPrefFilter.ByName`
`static class` `CodonPrefFilter.EverythingToXML`

Method Summary
`boolean` `isRequired(String name)` indicates if the current CodonPref is to be accepted
`void` `put(CodonPref codonPref)` handles storage of a CodonPref object

Method Detail

### isRequired

    boolean isRequired(String name)

  indicates if the current CodonPref is to be accepted

### put

    void put(CodonPref codonPref)
             throws BioException

  handles storage of a CodonPref object

  Throws:
    `BioException`